summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-02-10 14:15:37 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-02-11 23:00:24 +0100
commita37abaa67c24e28e5e853a9f9e8ed3381ceff877 (patch)
treee82c32cd1411c52fe9216880222174a0ef3c2bd9 /kde-frameworks/kfilemetadata
parentapp-admin/keepassxc: updating 9999 for new build options and deps (diff)
downloadgentoo-a37abaa67c24e28e5e853a9f9e8ed3381ceff877.tar.gz
gentoo-a37abaa67c24e28e5e853a9f9e8ed3381ceff877.tar.bz2
gentoo-a37abaa67c24e28e5e853a9f9e8ed3381ceff877.zip
kde-frameworks: Add KDE Frameworks 5.43.0
Bug: https://bugs.gentoo.org/647306 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'kde-frameworks/kfilemetadata')
-rw-r--r--kde-frameworks/kfilemetadata/Manifest1
-rw-r--r--kde-frameworks/kfilemetadata/kfilemetadata-5.43.0.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/kde-frameworks/kfilemetadata/Manifest b/kde-frameworks/kfilemetadata/Manifest
index 8b870673197..fc395f484bd 100644
--- a/kde-frameworks/kfilemetadata/Manifest
+++ b/kde-frameworks/kfilemetadata/Manifest
@@ -1,2 +1,3 @@
DIST kfilemetadata-5.40.0.tar.xz 219196 BLAKE2B abeda591043350e1b11de352f897f76110b1ea472ccfc210739c68d50715fb8687fae4d9c6281c48592f563a82ad8f454660349dee020a80bab2b967e598367f SHA512 b3f632af0847dd3bed8bf0214e3786fe72ffbdc90454d7a2117e8b30023c43b594a27c5811a6e77d1e46a68261e950a5dc016b9ae6f80f3db539c29eaa53297d
DIST kfilemetadata-5.42.0.tar.xz 218916 BLAKE2B 03d5ac621d4cd032ff58756069861a045c5a2236ad3c1dc75f82cef9b6dc3eb7c263cf98865899a4d69c31582afd221373a07ca8538c718ff6ef91c2b7267547 SHA512 496876dde432e0884b883e112daaa11c2fe85d2a97bde2124b04571e4f9d1516cc81ef1d80eb3043a5d43f2febe79481f1a2c299ee9e96883342f8563002c62f
+DIST kfilemetadata-5.43.0.tar.xz 219608 BLAKE2B 5b344ac9990e399cf3b4c8b28b6667e902691541672e811295a7e3ba16f652b4e8dc10728040d2ac60dbc7778e5bd27e64b38ed8f2116589a9899b9b5b86f5ff SHA512 0e669ae832aeef2a54e6a26df5541d607301e13798082e716f6caf682d4e28d87d7eb0a4487c7f2c8bfee0311a5a3342238dfa806413fccb20d3cfbf6b8733be
diff --git a/kde-frameworks/kfilemetadata/kfilemetadata-5.43.0.ebuild b/kde-frameworks/kfilemetadata/kfilemetadata-5.43.0.ebuild
new file mode 100644
index 00000000000..602d33e4a94
--- /dev/null
+++ b/kde-frameworks/kfilemetadata/kfilemetadata-5.43.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+inherit eutils kde5 python-any-r1
+
+DESCRIPTION="Library for extracting file metadata"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="epub exif ffmpeg libav office pdf taglib"
+
+RDEPEND="
+ $(add_frameworks_dep ki18n)
+ $(add_qt_dep qtxml)
+ epub? ( app-text/ebook-tools )
+ exif? ( media-gfx/exiv2:= )
+ ffmpeg? (
+ libav? ( media-video/libav:= )
+ !libav? ( media-video/ffmpeg:0= )
+ )
+ office? ( $(add_frameworks_dep karchive) )
+ pdf? ( app-text/poppler[qt5] )
+ taglib? ( media-libs/taglib )
+"
+DEPEND="${RDEPEND}
+ kernel_linux? ( sys-apps/attr )
+ test? ( ${PYTHON_DEPS} )
+"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+ kde5_pkg_setup
+}
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package epub EPub)
+ $(cmake-utils_use_find_package exif Exiv2)
+ $(cmake-utils_use_find_package ffmpeg FFmpeg)
+ $(cmake-utils_use_find_package office KF5Archive)
+ $(cmake-utils_use_find_package pdf Poppler)
+ $(cmake-utils_use_find_package taglib Taglib)
+ )
+
+ kde5_src_configure
+}
+
+pkg_postinst() {
+ kde5_pkg_postinst
+
+ if ! has_version app-text/catdoc || ! has_version dev-libs/libxls; then
+ elog "To get additional features, optional runtime dependencies may be installed:"
+ optfeature "indexing of Microsoft Word or Powerpoint files" app-text/catdoc
+ optfeature "indexing of Microsoft Excel files" dev-libs/libxls
+ fi
+}